Bug 1297589 - Whine cron jobs cause lots of errors
Whine cron jobs cause lots of errors
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Email Notifications (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 18:34 EST by Will Thames
Modified: 2016-05-03 21:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-03 21:34:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Thames 2016-01-11 18:34:19 EST
Description of problem:

Too many errors from whine cron job

Actual result:

A typical email to bugzilla-error-list from the whine cron job contains

Subject: Cron <bz_whine@bzwebserver> cd /var/www/html/bugzilla; umask 0007; perl -T ./whine.pl 2>&1

Use of uninitialized value $value in string eq at Bugzilla/Search.pm line 1968.
Use of uninitialized value $field in hash element at Bugzilla/Search.pm line 1950.
Use of uninitialized value $value in string eq at Bugzilla/Search.pm line 1968.
Use of uninitialized value $operator in pattern match (m//) at Bugzilla/Search.pm line 1968.
Use of uninitialized value $value in string eq at Bugzilla/Search.pm line 1968.
Use of uninitialized value $value in string eq at Bugzilla/Search.pm line 1968.
Use of uninitialized value $value in string eq at Bugzilla/Search.pm line 1968.
Use of uninitialized value $field in hash element at Bugzilla/Search.pm line 1950.
Use of uninitialized value $value in string eq at Bugzilla/Search.pm line 1968.
Use of uninitialized value $operator in pattern match (m//) at Bugzilla/Search.pm line 1968.
Use of uninitialized value $value in string eq at Bugzilla/Search.pm line 1968.
Use of uninitialized value $value in string eq at Bugzilla/Search.pm line 1968.
Use of uninitialized value $value in string eq at Bugzilla/Search.pm line 1968.
Use of uninitialized value $value in string eq at Bugzilla/Search.pm line 1968.
Use of uninitialized value $operator in pattern match (m//) at Bugzilla/Search.pm line 1968.

There may be fewer or more lines than this (if there are no lines, no email is sent). 

Expected result:

No errors occur and so no emails are sent.
Comment 1 Jeff Fearn 2016-04-05 23:28:29 EDT
This appears to have been fixed upstream for 5.0.
Comment 2 Rony Gong 2016-04-21 02:42:16 EDT
QA environment with version(5.0.2-rh4, DB: pgsql)
Result: Pass
Can't grep out this kind of error in 5.0

Note You need to log in before you can comment on or make changes to this bug.